Package org.eclipse.rdf4j.sail.extensiblestore

## Class ExtensibleSailStore

- java.lang.Object
- - org.eclipse.rdf4j.sail.extensiblestore.ExtensibleSailStore

- All Implemented Interfaces:
    `AutoCloseable`, `SailClosable`, `SailStore`

      public class ExtensibleSailStore
      extends Object
      implements SailStore

  Author:
    Håvard Mikkelsen Ottestad

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `EVALUATION_STATISTICS_STALENESS_CHECK_INTERVAL` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtensibleSailStore​(DataStructureInterface dataStructure, NamespaceStoreInterface namespaceStore, EvaluationStatisticsEnum evaluationStatisticsEnum, ExtensibleStatementHelper extensibleStatementHelper)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes this resource, relinquishing any underlying resources.
    `EvaluationStatistics` | `getEvaluationStatistics()` | Used by `SailSourceConnection` to determine query join order.
    `SailSource` | `getExplicitSailSource()` |
    `SailSource` | `getInferredSailSource()` |
    `ValueFactory` | `getValueFactory()` | The `ValueFactory` that should be used in association with this.
    `void` | `init()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EVALUATION_STATISTICS_STALENESS_CHECK_INTERVAL

          public static final int EVALUATION_STATISTICS_STALENESS_CHECK_INTERVAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExtensibleSailStore

          public ExtensibleSailStore​(DataStructureInterface dataStructure,
                                     NamespaceStoreInterface namespaceStore,
                                     EvaluationStatisticsEnum evaluationStatisticsEnum,
                                     ExtensibleStatementHelper extensibleStatementHelper)

  - ### Method Detail

    - #### close

          public void close()
                     throws SailException

      Description copied from interface: `SailClosable`
      Closes this resource, relinquishing any underlying resources.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `SailClosable`
      Throws:
        `SailException` - if this resource cannot be closed

    - #### getValueFactory

          public ValueFactory getValueFactory()

      Description copied from interface: `SailStore`
      The `ValueFactory` that should be used in association with this.
      Specified by:
        `getValueFactory` in interface `SailStore`
      Returns:
        this object's `ValueFactory`

    - #### getEvaluationStatistics

          public EvaluationStatistics getEvaluationStatistics()

      Description copied from interface: `SailStore`
      Used by `SailSourceConnection` to determine query join order.
      Specified by:
        `getEvaluationStatistics` in interface `SailStore`
      Returns:
        a `EvaluationStatistics` that is aware of the data distribution of this `SailStore` .

    - #### getExplicitSailSource

          public SailSource getExplicitSailSource()

      Specified by:
        `getExplicitSailSource` in interface `SailStore`
      Returns:
        `SailSource` of only explicit statements

    - #### getInferredSailSource

          public SailSource getInferredSailSource()

      Specified by:
        `getInferredSailSource` in interface `SailStore`
      Returns:
        `SailSource` of only inferred statements

    - #### init

          public void init()